%define src_ver .32.5

Summary:       An Open Source interactive spelling checker program.
Name:          aspell
Version:       0.32.5
Release:       4mdk
Group:         Text tools

Source0:       http://download.sourceforge.net/aspell/%{name}-%{src_ver}.tar.gz

URL:           http://aspell.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Copyright:     GPL
Requires:      libpspell3 >= 0.11.1
BuildRequires: libpspell3-devel >= 0.11.1
# Mandrake Stuff.
Requires:      aspell-dictionary

%description
Aspell is an Open Source spell checker designed to eventually replace ispell.
Its main feature is that it does a much better job of coming up with possible
suggestions than ispell does. In fact recent tests shows that it even does
better than Microsoft Word 97's spell checker in some cases. In addition it
has both compile time and run time support for other non English languages.
Aspell also doubles as a powerful C library with C and Perl interfaces in the works.

%package devel
Summary:        Libraries, includes, and other files needed to build applications with aspell
Group:          Development/Other
Requires:       %{name} = %{version}

%description devel
Libraries, includes, and other files needed to build applications with aspell.


%package        en_GB
Summary:        British dictionary for aspell
Group:          System/Internationalization
Requires:       aspell

# Mandrake Stuff
Requires:       locales-en
Provides:       aspell-dictionary

%description en_GB
A British dictionary for use with aspell, a spelling checker.


%package        en_CA
Summary:        Canadian dictionary
Group:          System/Internationalization
Requires:       aspell

# Mandrake Stuff
Requires:       locales-en
Provides:       aspell-dictionary

%description en_CA
A Canadian dictionary for use with aspell, a spelling checker.


%package        en
Summary:        American dictionary
Group:          System/Internationalization
Requires:       aspell

# Mandrake Stuff
Requires:       locales-en
Provides:       aspell-dictionary

%description en
A American dictionary for use with aspell, a spelling checker.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{src_ver}
# Dadou - 0.32.5 - Use RPM_OPT_FLAGS with CXXFLAGS break build
#                  It seems related to gcc-2.96
CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}

%build
# Dadou - 0.32.5 - Don't use make macro, it doesn't work
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
cd manual
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
%{_libdir}/lib*.so.*
%{_bindir}/*
%{_datadir}/aspell

%files devel
%defattr(-, root, root)
%{_includedir}/aspell
%{_libdir}/lib*.so
%{_libdir}/lib*a

%files en_CA
%defattr(-,root,root)
%{_libdir}/aspell/canadian*
%{_datadir}/pspell/*canadian*

%files en_GB
%defattr(-,root,root)
%{_libdir}/aspell/british*
%{_datadir}/pspell/*british*

%files en
%defattr(-,root,root)
%{_libdir}/aspell/american*
%{_libdir}/aspell/english*
%{_datadir}/pspell/en-aspell.pwli
%{_datadir}/pspell/*american*

%changelog 
* Thu Jan 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32.5-4mdk
- build release

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.32.5-3mdk
- Fix Requires and BuildRequires

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.5-2mdk
- Provides pwli files (Thanks Michael Reinsch)

* Fri Aug 25 2000 Troels Liebe Bentsen 0.32.5-1mdk
- Updated to new version.
- Added packages en, en_CA, en_GB

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.1-1mdk
- release 0.32.1 (merge from helix 0_helix_1)
- BM + macroszification

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 28.3-1mdk
- v28.3 

* Fri Aug 27 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
